> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Chat Settings



## OpenAPI

````yaml https://api.vellaro.io/openapi.json put /api/v1/admin/chat/settings
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/chat/settings:
    put:
      tags:
        - admin:chat
      summary: Update Chat Settings
      operationId: update_chat_settings_api_v1_admin_chat_settings_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChatSettingsUpsert'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_ChatSettingsOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ChatSettingsUpsert:
      properties:
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
        system_prompt_template:
          anyOf:
            - type: string
            - type: 'null'
          title: System Prompt Template
        brand_voice:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Brand Voice
        welcome_message:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Welcome Message
        welcome_message_i18n:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Welcome Message I18N
        starter_prompts:
          anyOf:
            - items:
                type: string
              type: array
              maxItems: 8
            - type: 'null'
          title: Starter Prompts
        starter_prompts_i18n:
          anyOf:
            - additionalProperties:
                items:
                  type: string
                type: array
              type: object
            - type: 'null'
          title: Starter Prompts I18N
        excluded_category_ids:
          anyOf:
            - items:
                type: string
                format: uuid
              type: array
            - type: 'null'
          title: Excluded Category Ids
        banned_phrases:
          anyOf:
            - items:
                type: string
              type: array
              maxItems: 50
            - type: 'null'
          title: Banned Phrases
        primary_model_override:
          anyOf:
            - type: string
              maxLength: 120
            - type: 'null'
          title: Primary Model Override
        safety_model_override:
          anyOf:
            - type: string
              maxLength: 120
            - type: 'null'
          title: Safety Model Override
        embedding_provider:
          anyOf:
            - type: string
              maxLength: 40
            - type: 'null'
          title: Embedding Provider
        embedding_model:
          anyOf:
            - type: string
              maxLength: 80
            - type: 'null'
          title: Embedding Model
        embedding_api_key:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Embedding Api Key
        monthly_budget_cents:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Monthly Budget Cents
        rollout_percent:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 0
            - type: 'null'
          title: Rollout Percent
      type: object
      title: ChatSettingsUpsert
      description: |-
        All fields optional — partial update. Pass `enabled=true` to flip
        the master switch; null on other fields means "leave as is".
    ApiResponse_ChatSettingsOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/ChatSettingsOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[ChatSettingsOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ChatSettingsOut:
      properties:
        tenant_id:
          type: string
          format: uuid
          title: Tenant Id
        enabled:
          type: boolean
          title: Enabled
        system_prompt_template:
          anyOf:
            - type: string
            - type: 'null'
          title: System Prompt Template
        brand_voice:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand Voice
        welcome_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Welcome Message
        welcome_message_i18n:
          additionalProperties:
            type: string
          type: object
          title: Welcome Message I18N
          default: {}
        starter_prompts:
          items:
            type: string
          type: array
          title: Starter Prompts
        starter_prompts_i18n:
          additionalProperties:
            items:
              type: string
            type: array
          type: object
          title: Starter Prompts I18N
          default: {}
        excluded_category_ids:
          items:
            type: string
            format: uuid
          type: array
          title: Excluded Category Ids
        banned_phrases:
          items:
            type: string
          type: array
          title: Banned Phrases
        primary_model_override:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Model Override
        safety_model_override:
          anyOf:
            - type: string
            - type: 'null'
          title: Safety Model Override
        embedding_provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Embedding Provider
        embedding_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Embedding Model
        has_embedding_api_key:
          type: boolean
          title: Has Embedding Api Key
        monthly_budget_cents:
          type: integer
          title: Monthly Budget Cents
        current_month_cents:
          type: integer
          title: Current Month Cents
        rollout_percent:
          type: integer
          title: Rollout Percent
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - tenant_id
        - enabled
        - system_prompt_template
        - brand_voice
        - welcome_message
        - starter_prompts
        - excluded_category_ids
        - banned_phrases
        - primary_model_override
        - safety_model_override
        - embedding_provider
        - embedding_model
        - has_embedding_api_key
        - monthly_budget_cents
        - current_month_cents
        - rollout_percent
        - updated_at
      title: ChatSettingsOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````